Change log for libhtml-lint-perl package in Ubuntu

113 of 13 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-11-10
Deleted in disco-proposed (Reason: moved to release)
libhtml-lint-perl (2.32+dfsg-1) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/*: update URLs from {search,www}.cpan.org to MetaCPAN.

  [ Florian Schlichting ]
  * New upstream version 2.32+dfsg
  * Convert packaging from cdbs to dh
  * Declare compliance with Debian Policy 4.2.1

 -- Florian Schlichting <email address hidden>  Wed, 12 Sep 2018 23:44:11 +0200

Available diffs

Superseded in disco-release on 2018-11-10
Published in cosmic-release on 2018-05-15
Deleted in cosmic-proposed (Reason: moved to release)
libhtml-lint-perl (2.30+dfsg-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Florian Schlichting ]
  * Import upstream version 2.30+dfsg
  * Update copyright years
  * Declare compliance with Debian Policy 4.1.4

 -- Florian Schlichting <email address hidden>  Mon, 14 May 2018 16:16:31 +0200

Available diffs

Superseded in cosmic-release on 2018-05-15
Published in bionic-release on 2017-11-12
Deleted in bionic-proposed (Reason: moved to release)
libhtml-lint-perl (2.26+dfsg-1) unstable; urgency=medium

  * Team upload

  [ gregor herrmann ]
  * debian/rules: replace dpkg-parsechangelog call with /usr/share/dpkg
    /pkg-info.mk.

  [ Damyan Ivanov ]
  * New upstream version 2.26+dfsg
  * drop fix-test-hash-sort-order.patch, applied upstream
  * update years of upstream copyright
  * use https in debian/watch
  * declare conformance with Policy 4.1.1

 -- Damyan Ivanov <email address hidden>  Sun, 12 Nov 2017 10:52:25 +0000

Available diffs

Superseded in bionic-release on 2017-11-12
Published in artful-release on 2017-08-05
Deleted in artful-proposed (Reason: moved to release)
libhtml-lint-perl (2.22+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Remove Antonio Radici from Uploaders. Thanks for your work!
  * Change repacking framework to use Files-Excluded.
  * debian/rules: update txt2man invocation in order to make build
    reproducible. Thanks to Daniel Shahaf for the bug report and patch.
    (Closes: #844236)
  * Use HTTPS for some URLs in debian/*.
  * Bump debhelper compatibility level to 9.
  * debian/control: use canonical URL for Vcs-Git.
  * Declare compliance with Debian Policy 4.0.0.

 -- gregor herrmann <email address hidden>  Tue, 01 Aug 2017 12:57:46 -0400

Available diffs

Superseded in artful-release on 2017-08-05
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed (Reason: moved to release)
libhtml-lint-perl (2.22+dfsg-1) unstable; urgency=low

  [ gregor herrmann ]
  * Update debian/repack.stub.

  [ Axel Beckert ]
  * Switch Vcs-* header from Subversion to Git
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Florian Schlichting ]
  * Import Upstream version 2.22+dfsg
  * Add upstream metadata
  * E-Mail change: Florian Schlichting -> <email address hidden>
  * Update years of packagaging copyright
  * Rename X-Repackaging-Reasoning field in debian/copyright
  * Add a NEWS file warning about important changes
  * Declare compliance with Policy version 3.9.6
  * Mark package as autopkgtestable
  * Add patch from upstrearm VCS to fix test failing due to hash randomization
  * Update repack.stub to latest version

 -- Florian Schlichting <email address hidden>  Fri, 03 Jul 2015 16:16:57 +0200

Available diffs

Superseded in wily-release on 2015-07-04
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
libhtml-lint-perl (2.20+dfsg-1) unstable; urgency=low


  * Import Upstream version 2.20+dfsg.
  * Bump dependency on HTML::Parser to 3.47.
  * Bump years of upstream copyright.
  * Bump Standards-Version to 3.9.3 (use copyright-format 1.0).

 -- Florian Schlichting <email address hidden>  Sat, 07 Apr 2012 22:51:42 +0200
Superseded in quantal-release on 2012-05-01
Published in precise-release on 2011-10-13
Obsolete in oneiric-release on 2015-04-24
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
libhtml-lint-perl (2.06+dfsg-1) unstable; urgency=low

  [ Antonio Radici ]
  * New upstream release
  * debian/compat bumped to 7
  * debian/control:
    + adding me to the Uploaders
    + debhelper compatibility bumped to 7
    + Standards-Version to 3.8.1
    + moved all deps except debhelper and cdbs to B-D-I
    + Homepage: s/::/-/
    + short description for libhtml-lint-perl is now a noun phrase
    + short description for weblint-perl: s/A //
    + long description for weblint-perl: s/This/weblint/
  * debian/copyright:
    + switched to the new format
    + added the copyright note for repack.sh
  * debian/watch:
    + removed "debian svn-upgrade"
    + added repack.sh to remove a testfile which contains a webpage we
      cannot redistribute

  [ gregor herrmann ]
  * debian/watch: use dist-based URL.
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  05 Nov 2009 06:05:58 +0000

Available diffs

Superseded in lucid-release on 2009-11-05
Obsolete in karmic-release on 2013-03-04
Obsolete in jaunty-release on 2013-02-28
Obsolete in intrepid-release on 2013-02-20
libhtml-lint-perl (2.04-2) unstable; urgency=medium

  * Update tarball md5sum.
  * Remove bogus noise from 2.04-1 changelog.
  * Set urgency=medium as 2.04-1 included a FTBFS bugfix (similar to
    bug#487066).

Available diffs

Superseded in intrepid-release on 2008-07-04
libhtml-lint-perl (2.02-3) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * Separate build-only dependencies from build-and-runtime-dependencies in
    debian/rules build-dependency resolving.

  [ gregor herrmann ]
  * Add "-p" to txt2man invocation in debian/rules to get name, section,
    etc. into the generated manpage; otherwise dh_installman errors out with
    "Could not determine section for debian/weblint.1" (closes: #479921).
  * Set urgency to medium because of the FTBFS bug.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  08 May 2008 11:58:48 +0100
Superseded in intrepid-release on 2008-05-08
libhtml-lint-perl (2.02-2) unstable; urgency=low

  * Pass over maintenance of the package to the Perl group: Change Maintainer,
    and add myself to Uploaders.
  * Change debian/watch to use svn-upgrade (not uupdate).
  * Move Homepage to own field (from pseudo-field in long description).
  * Add Vcs-* fields.
  * Bump up standards-version to 3.7.3 (no changes needed).
  * Bump dephelper compatibility level to 5.
  * Fix build-depends-indep -> build-depends.
  * Update local cdbs tweaks:
    + Add new snippet update-tarball, implementing get-orig-source and more.
    + Major improvements to copyright-check, including new versioned
      build-dependency on devscripts.  Update debian/copyright_hints.
    + Drop auto-update.mk.  Set DEB_AUTO_UPDATE_DEBIAN_CONTROL directly
      instead when needed.
    + Fix buildinfo.mk invoking dh-buildinfo only once.
    + Add debian/README.cdbs-tweaks documenting local tweaks.
  * Fix double cdbs build-dependencies in debian/rules.
  * Semi-auto-update debian/control to apply changes contained in the above:
    DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  02 May 2008 02:14:19 +0100
Superseded in intrepid-release on 2008-05-03
Obsolete in hardy-release on 2015-04-24
Obsolete in gutsy-release on 2011-09-16
Obsolete in feisty-release on 2009-08-20
Obsolete in edgy-release on 2008-06-19
libhtml-lint-perl (2.02-1) unstable; urgency=low

  * New upstream release. Closes: bug#338217 (thanks to Florian Ernst
    <email address hidden>).
  * Update local cdbs snippet buildinfo.mk to fix namespace.
  * Add and enable new local cdbs snippets copyright-check.mk and
    auto-update.mk.
  * Semi-auto-update debian/control.
  * Simplify debian/watch (qa.debian.org gets confused by multiple
    parantheses).
  * Build-depend on libtest-pod-coverage-perl to complete all tests.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  15 Jun 2006 14:39:45 +0100
Superseded in edgy-release on 2006-06-15
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
Obsolete in breezy-release on 2008-03-25
libhtml-lint-perl (2.0-1) unstable; urgency=low


  * New upstream release. Closes: bug#329555 (thanks to Florian Ragwitz
    <email address hidden>).
  * Improve watch file (bump up to version 3, allow more suffixes and
    add comment hinting at its use).
  * Use cdbs debian/rules auto-update when DEB_BUILD_OPTIONS contains
    "update".
  * Auto-update debian/rules (and strip bogus build-essential
    dependency).
  * Bump up standards-version to 3.6.2 (no changes needed).

 -- Jonas Smedegaard <email address hidden>  Thu, 22 Sep 2005 12:48:44 +0200
Obsolete in hoary-release on 2008-03-19
Obsolete in warty-release on 2008-01-09
libhtml-lint-perl (1.28-1) unstable; urgency=low


  * New upstream release.
  * Update debian/copyright:
    + Update copyright year to 2003
    + Cosmetic changes (syntactic sugar).
  * Correct debian/watch.
  * Build-depend on libtest-pod-perl to complete more tests (since
    build-recommends is not supported...).

 -- Jonas Smedegaard <email address hidden>  Sun, 28 Mar 2004 18:16:25 +0200
113 of 13 results